Subject: Re: tags disappear

From: "Shawn O. Pearce" <[email-masked]>
Date: Sun, 28 Oct 2007 01:05:46 -0400

James <[email-masked]> wrote:
> Sorry for the dumb question.  Hoping someone can lead me in the right  
> direction.
> 
> I use git in a pretty basic setup.  One branch, I'm the only user,  
> etc.  When I set up a tag (with a command like "git tag v1.1.6"), and  
> then push the changes to the server, the tag doesn't remain when I  
> clone the tree somewhere else.
> 
> Can anyone explain why, and possibly how to keep tags on a push/clone?

You need to push the tag to the server with:
  git push server tag v1.1.6

But you should make such takes annotated with "git tag -a" so they
are proper objects in their own right, rather than just refs pointing
at commits.

-- 
Shawn.